site_name: OF-DL Docs
site_url: https://docs.ofdl.tools
nav:
  - Home: index.md
  - Running the Program: running-the-program.md
  - Config:
    - Authentication: config/auth.md
    - CDM (optional, but recommended): config/cdm.md
    - Configuration: config/configuration.md
    - All Configuration Options: config/all-configuration-options.md
    - Custom Filename Formats: config/custom-filename-formats.md
  - Installation:
    - Windows: installation/windows.md
    - macOS: installation/macos.md
    - Linux: installation/linux.md
    - Docker: installation/docker.md
theme:
  name: material
  features:
    - navigation.tabs
    - navigation.top
    - navigation.instant
    - navigation.expand
    - navigation.sections
    - navigation.tracking
    - navigation.search.highlight
    - navigation.search.suggest
    - navigation.search.share
    - navigation.search.suggest
    - navigation.search.share
    - navigation.search.suggest
    - navigation.search.share
  language: en
  palette:
    - scheme: default
      toggle:
        icon: material/toggle-switch-off-outline
        name: Switch to dark mode
      primary: dark-blue
      accent: white
    - scheme: slate
      toggle:
        icon: material/toggle-switch
        name: Switch to light mode
      primary: dark-blue
      accent: white
  font:
    text: Roboto
    code: Roboto Mono
  logo: img/logo.ico
  favicon: img/logo.ico
markdown_extensions:
  - admonition
  - pymdownx.details
  - pymdownx.superfences
extra:
  social:
    - icon: fontawesome/brands/discord
      link: https://discord.com/invite/6bUW8EJ53j
copyright: "© 2025 OF-DL. All rights reserved."
